// SPDX-License-Identifier: LGPL-2.1-or-later
//
// SPDX-FileCopyrightText: 2013 Mohammed Nafees <nafees.technocool@gmail.com>
//

#include "KmlLinkSnippetTagHandler.h"

#include "GeoDataNetworkLinkControl.h"
#include "GeoDataParser.h"
#include "KmlElementDictionary.h"

namespace Marble
{
namespace kml
{
KML_DEFINE_TAG_HANDLER(linkSnippet)

GeoNode *KmllinkSnippetTagHandler::parse(GeoParser &parser) const
{
    Q_ASSERT(parser.isStartElement() && parser.isValidElement(QLatin1StringView(kmlTag_linkSnippet)));

    GeoStackItem parentItem = parser.parentElement();

    if (parentItem.represents(kmlTag_NetworkLinkControl)) {
        int maxLines = parser.attribute("maxLines").trimmed().toInt();
        QString linkSnippet = parser.readElementText();

        parentItem.nodeAs<GeoDataNetworkLinkControl>()->setLinkSnippet(linkSnippet);
        parentItem.nodeAs<GeoDataNetworkLinkControl>()->setMaxLines(maxLines);
    }

    return nullptr;
}

}
}
