// SPDX-License-Identifier: LGPL-2.1-or-later
//
// SPDX-FileCopyrightText: 2013 Sanjiban Bairagya <sanjiban22393@gmail.com>
//

#include "KmlOrientationTagHandler.h"

#include "MarbleDebug.h"

#include "GeoDataGeometry.h"
#include "GeoDataModel.h"
#include "GeoDataOrientation.h"
#include "GeoDataParser.h"
#include "KmlElementDictionary.h"
#include "KmlObjectTagHandler.h"

namespace Marble
{
namespace kml
{
KML_DEFINE_TAG_HANDLER(Orientation)

GeoNode *KmlOrientationTagHandler::parse(GeoParser &parser) const
{
    Q_ASSERT(parser.isStartElement() && parser.isValidElement(QLatin1StringView(kmlTag_Orientation)));

    GeoDataOrientation orientation;
    KmlObjectTagHandler::parseIdentifiers(parser, &orientation);
    GeoStackItem parentItem = parser.parentElement();

    if (parentItem.represents(kmlTag_Model)) {
        parentItem.nodeAs<GeoDataModel>()->setOrientation(orientation);
        return &parentItem.nodeAs<GeoDataModel>()->orientation();
    } else {
        return nullptr;
    }
}

}
}
